package com.unclouded.android.ids;

import java.util.Random;

public class PublicationId {
	
	private static final Random generator_ = new Random(System.currentTimeMillis());
	
	private final long publicationId;

	public PublicationId() {
		publicationId = generator_.nextLong();
	}
	
	public int hashCode() {
		return (int) publicationId;
	}
	
	public boolean equals(Object other) {
		if (other instanceof PublicationId) {
			PublicationId id = (PublicationId) other;
			return (id.publicationId == publicationId);
		} else {
			return false;
		}
	}
	
	public String toString() {
		return "Publication["+publicationId+"]";
	}
	

}
