package com.unclouded.android.services;

import com.unclouded.android.TypeTag;
import com.unclouded.android.UObject;
import com.unclouded.android.cmd.CMDProvideObjectService;
import com.unclouded.android.comm.CommunicationBus;
import com.unclouded.android.internal.InternalEventLoop;
import com.unclouded.android.logging.Logging;

public class ObjectService extends Service {
	
	final private UObject obj;

	public ObjectService(UObject obj, InternalEventLoop eventLoop) {
		super(eventLoop);
		this.obj = obj;
	}
	
	public UObject getObject(){
		return obj;
	}

	public void publish(CommunicationBus dispatcher, TypeTag typeTag) {
		new CMDProvideObjectService(typeTag, this).send(dispatcher);
		Logging.Actor_LOG.debug("Service "+typeTag+" exported");
	}

}
