package com.unclouded.android.services;

import com.unclouded.android.TypeTag;
import com.unclouded.android.comm.CommunicationBus;
import com.unclouded.android.ids.ServiceId;
import com.unclouded.android.internal.InternalEventLoop;

public abstract class Service {
	
	final private ServiceId serviceId;
	
	public Service(InternalEventLoop eventLoop){
		this.serviceId = new ServiceId(eventLoop.getId());
	}
	
	public ServiceId getServiceId() {
		return serviceId;
	}	
	
	public abstract void publish(CommunicationBus dispatcher, TypeTag typeTag);
	
}