package com.unclouded.android;


/**
 * Imposes a pass-by-reference strategy on the objects of each class that implements it.
 * 
 * <p>The UObject interface has no methods or fields and serves only to identify the semantics of being passed by reference.</p>
 */
public interface UObject { }
