package com.unclouded.android.internal;

import java.io.Serializable;
import com.unclouded.android.PromiseListener;

public class InternalPromiseListener<T extends Serializable> {
	
	private PromiseListener<T> listener;
	
	@SuppressWarnings("unchecked")
	public InternalPromiseListener(PromiseListener<? extends Serializable> listener){
		this.listener = (PromiseListener<T>) listener;		
	}
	
	@SuppressWarnings("unchecked")
	public void triggerOnResolved(Serializable result){
		T value = (T) result;
		listener.isResolved(value);
	}


}
